import React, { useCallback, useEffect, useState } from 'react';
import MonacoEditor from '@monaco-editor/react';
import { defaultEditorOptions, event } from '../constants';
import EditorWrapper from './EditorWrapper';
import applyJsxHighlighter from '../utils/apply-jsx-highlighter';
const LiveEditor = ({ channel }) => {
    const [code, setCode] = useState('');
    const loadSource = useCallback((val) => {
        setCode(val);
    }, []);
    const onChange = useCallback((val) => {
        channel.emit(`${event.UpdateSource}`, val);
    }, []);
    useEffect(() => {
        channel.on(event.LoadSource, loadSource);
        return () => {
            channel.removeListener(event.LoadSource, loadSource);
        };
    }, []);
    const onMount = useCallback((editor, _monaco) => {
        applyJsxHighlighter(_monaco, editor);
    }, []);
    return (React.createElement(EditorWrapper, null,
        React.createElement(MonacoEditor, { height: "100%", language: "javascript", theme: "vs-dark", options: defaultEditorOptions, value: code, onChange: onChange, onMount: onMount })));
};
export default LiveEditor;
