/// <reference types="react" />
import LivePreview, { LivePreviewProps } from './components/LivePreview';
import Playground from './components/Playground';
import { Story } from '@storybook/api';
export { LivePreview, Playground };
/**
 * this is HoC that wraps the story with the LivePreview component
 * returned component will have liveEdit in parameters
 */
export declare function generateLivePreviewStory(props: Omit<LivePreviewProps, 'channel'>): {
    (): JSX.Element;
    parameters: {
        liveEdit: {
            showEditor: boolean;
        };
    };
};
/**
 * this storybook decorator is used to replace the story with a live preview.
 * this decorator will read the story's source code, so we can avoid writing live preview's code in plain text.
 * but you still need to provide scope or custom {@see LivePreviewProps} via liveEdit in the story's parameters.
 */
export declare function liveDecorator(Story: any, storyData: Story): JSX.Element;
